package com.jojubanking.boot.module.system.convert.dzquestion;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.dzquestion.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.dzquestion.DzQuestionDO;

/**
 * 导诊管理 Convert
 *
 * @author admin
 */
@Mapper
public interface DzQuestionConvert {

    DzQuestionConvert INSTANCE = Mappers.getMapper(DzQuestionConvert.class);

    DzQuestionDO convert(DzQuestionCreateReqVO bean);

    DzQuestionDO convert(DzQuestionUpdateReqVO bean);

    DzQuestionRespVO convert(DzQuestionDO bean);

    List<DzQuestionRespVO> convertList(List<DzQuestionDO> list);

    PageResult<DzQuestionRespVO> convertPage(PageResult<DzQuestionDO> page);

    List<DzQuestionExcelVO> convertList02(List<DzQuestionDO> list);

}
